#
# Example slurmdbd.conf file.
#
# See the slurmdbd.conf man page for more information.
#
# Archive info
# ArchiveJobs=yes
# ArchiveDir="/tmp"
# ArchiveSteps=yes
# ArchiveScript=
# JobPurge=12
# StepPurge=1
# Authentication info
# AuthType=auth/munge
# AuthInfo=/var/run/munge/munge.socket.2
AuthType = auth/slurm
# slurmDBD info
# DbdAddr=localhost
DbdHost=localhost
# DbdPort=6819
SlurmUser=slurm
# MessageTimeout=300
DebugLevel=verbose
# DefaultQOS=normal,standby
LogFile=/var/log/slurm/slurmdbd.log
PidFile=/var/run/slurmdbd/slurmdbd.pid
# PluginDir=/usr/lib/slurm
# PrivateData=accounts,users,usage,jobs
# TrackWCKey=yes
# Database info
StorageType=accounting_storage/mysql
# StorageHost=localhost
# StoragePort=3306
StoragePass=<SLURMDBD_PASSWORD>
StorageUser=<SLURMDBD_USERNAME>
StorageLoc=slurm_acct_db
Parameters=PreserveCaseUser
# If set the slurmdbd will mark all idle resources on the cluster as down when a slurmctld disconnects or is no longer reachable.
# TrackSlurmctldDown=no
